export default function setNoteStore() {
  return {
    lastWant: "",
    lastSrc: 0,
    wantAvatar: "",
    input: "",
    lastPage: 1,
    pageUnit: 10,
    viewUnit: 20,

    setLastWant(lastWant: string) {
      this.lastWant = lastWant;
    },

    setLastSrc(lastSrc: number) {
      this.lastSrc = lastSrc;
    },

    setInput(input: string) {
      this.input = input;
    },

    setWantAvatar(wantAvatar: string) {
      this.wantAvatar = wantAvatar;
    },

    setLastPage(lastPage: number) {
      this.lastPage = lastPage;
    },
  };
}
